#property indicator_chart_window

extern bool   alertsMessage = true;
extern bool   alertsEmail   = false;
extern bool   alertsPush    = false;
extern string soundFile     = "alert2.wav";
extern bool   justCurrentSymbol = true;

//+------------------------------------------------------------------+
int orders[];
int types[];
int start()
{
   static datetime lastTime= 0;
               if (lastTime==0) { lastTime = TimeCurrent(); return(0); }
               
   for (int i = OrdersTotal()-1; i>=0; i--)
   {
      if (!OrderSelect(i,SELECT_BY_POS,MODE_TRADES))    continue;
      if (justCurrentSymbol && OrderSymbol()!=Symbol()) continue;
      
      //
      //
      //
      //
      //
      
      int  size  = ArraySize(orders);
      bool found = false;
      for (int o=size-1; o>=0; o--)
      {
         found = (orders[o]==OrderTicket() && types[o]==OrderType()); if (found) break;
      }
      if (found) continue;
      ArrayResize(orders,size+1); orders[size]=OrderTicket();
      ArrayResize(types ,size+1); types[size] =OrderType();
      
      //
      //
      //
      //
      //
      
      if (OrderOpenTime()>=lastTime)
      {
         string message = "new order : "+OrderSymbol()+" opened at : "+TimeToString(OrderOpenTime(),TIME_DATE|TIME_SECONDS)+" price : "+DoubleToStr(OrderOpenPrice(),MarketInfo(OrderSymbol(),MODE_DIGITS))+" lots "+DoubleToStr(OrderLots(),2);
         if (alertsMessage) Alert(message);
         if (alertsEmail)   SendMail("new order",message);
         if (alertsPush)    SendNotification(message);
         if (StringTrimLeft(StringTrimRight(soundFile))!="")
            PlaySound(soundFile);
      }
   }
   lastTime = TimeCurrent();
   return(0);
}
